import { LitElement, nothing } from 'lit';
/**
 * Box is a layout component used for separating content areas on a page.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/layout-box--docs)
 */
declare class WarpBox extends LitElement {
    bleed: boolean;
    bordered: boolean;
    info: boolean;
    neutral: boolean;
    role: string;
    static styles: import("lit").CSSResult[];
    /** @internal */
    get _class(): string;
    /** @internal */
    get _optOutRoleWithDefault(): string | typeof nothing;
    render(): import("lit").TemplateResult<1>;
}
export { WarpBox };
